{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    control_plane.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install control_plane.";
    };
  };

  config = lib.mkIf config.me.control_plane.enable {
    me.kubernetes.enable = true;
    me.kube_apiserver.enable = true;
    me.kube_controller_manager.enable = true;
  };
}
